var skipScenes = false;
var counter = 0;
var choice = 0;
var currentPos = '';
var lastPos = '';
var sexSound = 0;
let counterGame = 1;
var soundMiniGame = false;
let curKey = 0;
let colFalse = false;

function openMiniGame() {
  ObjSet('spr_interface_nails', { alp: 1, input: 0 });
  for (let i = 1; i <= 8; i++) {
    ObjSet('spr_interface_key_' + i, { alp: 1, input: 0 });
  }
}
function startMiniGame() {
  for (let i = 1; i <= 8; i++) {
    ObjSet('spr_interface_key_' + i, { input: 1, alp: 1 });
  }
  for (let i = 1; i <= 3; i++) {
    ObjSet('spr_interface_lock_' + i, { input: 1 });
  }
}
function DragStick() {
  let DragManager = new (function () {
    let dragObject = {};
    let self = this;
    function onMouseDown(e) {
      if (e.which != 1) return;
      let elem = e.target.closest('.dragBg');

      if (!elem) return;
      dragObject.elem = elem;
      dragObject.downX = e.pageX;
      dragObject.downY = e.pageY;
      return false;
    }
    function onMouseMove(e) {
      if (!dragObject.elem) return;
      if (!dragObject.avatar) {
        let moveX = e.pageX - dragObject.downX;
        let moveY = e.pageY - dragObject.downY;
        if (Math.abs(moveX) < 3 && Math.abs(moveY) < 3) {
          return;
        }
        dragObject.avatar = createAvatar(e);
        if (!dragObject.avatar) {
          dragObject = {};
          return;
        }
        let coords = getCoords(dragObject.avatar);
        dragObject.shiftX = dragObject.downX - coords.left;
        dragObject.shiftY = dragObject.downY - coords.top;
        startDrag(e);
      }
      dragObject.avatar.style.left = e.pageX - dragObject.shiftX + 'px';
      dragObject.avatar.style.top = e.pageY - dragObject.shiftY + 'px';
      return false;
    }
    function onMouseUp(e) {
      if (dragObject.avatar) {
        finishDrag(e);
      }
      dragObject = {};
    }
    function finishDrag(e) {
      let dropElem = findDroppable(e);
      if (!dropElem) {
        self.onDragCancel(dragObject);
      } else {
        self.onDragEnd(dragObject, dropElem);
      }
    }
    function createAvatar(e) {
      let avatar = dragObject.elem;
      let old = {
        parent: avatar.parentNode,
        nextSibling: avatar.nextSibling,
        position: avatar.position || '',
        zIndex: '2',
      };
      if (avatar.id === 'spr_interface_key_1') {
        old.left = '694px';
        old.top = '66px';
      }
      if (avatar.id === 'spr_interface_key_2') {
        old.left = '758px';
        old.top = '66px';
      }
      if (avatar.id === 'spr_interface_key_3') {
        old.left = '825px';
        old.top = '66px';
      }
      if (avatar.id === 'spr_interface_key_4') {
        old.left = '660px';
        old.top = '215px';
      }
      if (avatar.id === 'spr_interface_key_5') {
        old.left = '726px';
        old.top = '215px';
      }
      if (avatar.id === 'spr_interface_key_6') {
        old.left = '792px';
        old.top = '215px';
      }
      if (avatar.id === 'spr_interface_key_7') {
        old.left = '855px';
        old.top = '215px';
      }
      if (avatar.id === 'spr_interface_key_8') {
        old.left = '755px';
        old.top = '366px';
      }

      avatar.rollback = function () {
        old.parent.insertBefore(avatar, old.nextSibling);
        avatar.style.position = old.position;
        avatar.style.left = old.left;
        avatar.style.top = old.top;
        avatar.style.zIndex = old.zIndex;
      };
      return avatar;
    }
    function startDrag(e) {
      let avatar = dragObject.avatar;
      document.body.appendChild(avatar);
      avatar.style.zIndex = 50;
      avatar.style.position = 'absolute';
      currentElem = e;
    }
    function testCollision(i, j) {
      i = i.getBoundingClientRect();
      j = j.getBoundingClientRect();

      return (
        i.top + i.height > j.top &&
        i.left + i.width > j.left &&
        i.bottom - i.height < j.bottom &&
        i.right - i.width < j.right
      );
    }
    function findDroppable(event) {
      dragObject.avatar.hidden = true;
      let elem = document.elementFromPoint(event.clientX, event.clientY);
      dragObject.avatar.hidden = false;
      if (elem == null) {
        return null;
      }
      if (
        currentElem.target.id === 'spr_interface_key_6' &&
        counterGame === 1
      ) {
        const collision = testCollision(
          currentElem.target,
          document.querySelector('#spr_interface_lock_1')
        );
        if (collision) {
          ObjSet('spr_interface_key_6', { alp: 0 });
          counterGame = 2;
          return true;
        }
        return false;
      }
      for (let i = 1; i <= 8; i++) {
        if (i === 6) continue;
        if (
          currentElem.target.id === 'spr_interface_key_' + i &&
          counterGame === 1
        ) {
          const collision = testCollision(
            currentElem.target,
            document.querySelector('#spr_interface_lock_1')
          );
          if (collision) {
            ObjSet('spr_interface_key_' + i, { alp: 0 });
            curKey = i;
            counterGame = 21;
            return true;
          }
          return false;
        }
      }

      if (
        currentElem.target.id === 'spr_interface_key_2' &&
        counterGame === 2
      ) {
        const collision = testCollision(
          currentElem.target,
          document.querySelector('#spr_interface_lock_2')
        );
        if (collision) {
          ObjSet('spr_interface_key_2', { alp: 0 });
          counterGame = 3;
          return true;
        }
        return false;
      }
      for (let i = 1; i <= 8; i++) {
        if (i === 2) continue;
        if (
          currentElem.target.id === 'spr_interface_key_' + i &&
          counterGame === 2
        ) {
          const collision = testCollision(
            currentElem.target,
            document.querySelector('#spr_interface_lock_2')
          );
          if (collision) {
            ObjSet('spr_interface_key_' + i, { alp: 0 });
            curKey = i;
            counterGame = 22;
            return true;
          }
          return false;
        }
      }
      if (
        currentElem.target.id === 'spr_interface_key_8' &&
        counterGame === 3
      ) {
        const collision = testCollision(
          currentElem.target,
          document.querySelector('#spr_interface_lock_3')
        );
        if (collision) {
          ObjSet('spr_interface_key_8', { alp: 0 });
          counterGame = 4;
          return true;
        }
        return false;
      }
      for (let i = 1; i < 8; i++) {
        if (
          currentElem.target.id === 'spr_interface_key_' + i &&
          counterGame === 3
        ) {
          const collision = testCollision(
            currentElem.target,
            document.querySelector('#spr_interface_lock_3')
          );
          if (collision) {
            ObjSet('spr_interface_key_' + i, { alp: 0 });
            curKey = i;
            counterGame = 23;
            return true;
          }
          return false;
        }
      }
      return false;
      //return elem.closest('#bg_5_st');
    }
    for (let i = 1; i <= 8; i++) {
      document
        .getElementById('spr_interface_key_' + i)
        .addEventListener('touchmove', function (e) {
          var touchLocation = e.targetTouches[0];
          document.getElementById('spr_interface_key_' + i).style.left =
            touchLocation.pageX - 50 + 'px';
          document.getElementById('spr_interface_key_' + i).style.top =
            touchLocation.pageY - 100 + 'px';
        });
    }
    document
      .getElementById('spr_interface_key_6')
      .addEventListener('touchend', (e) => {
        const collision = testCollision(
          document.querySelector('#spr_interface_key_6'),
          document.querySelector('#spr_interface_lock_1')
        );
        if (collision && counterGame === 1) {
          counterGame = 2;
          ObjSet('spr_interface_key_6', { alp: 0 });
          PlaySound('sounds/sfx_unlock.mp3', 0);
          ObjSet('mini_game_key_1_ok', {
            alp: 1,
          });
          document.querySelector('#mini_game_key_1_ok').play();
          setTimeout(() => {
            ObjSet('mini_game_key_1_ok', {
              alp: 0,
            });
            ObjSet('spr_interface_key_6', { alp: 1, input: 1 });
            document.querySelector('#spr_interface_key_6').style.top = '215px';
            document.querySelector('#spr_interface_key_6').style.left = '792px';
          }, 2000);
        } else {
          if (counterGame === 2) {
            PlaySound('sounds/sfx_unlock_failed.mp3', 0);
            ObjSet('mini_game_key_2_denied', {
              alp: 1,
            });
            ObjSet('spr_interface_key_6', { alp: 0 });
            document.querySelector('#mini_game_key_2_denied').play();
            setTimeout(() => {
              ObjSet('spr_interface_key_6', { alp: 1, input: 1 });
              ObjSet('mini_game_key_2_denied', {
                alp: 0,
              });
            }, 2000);
          } else if (counterGame === 3) {
            PlaySound('sounds/sfx_unlock_failed.mp3', 0);
            ObjSet('mini_game_key_3_denied', {
              alp: 1,
            });
            ObjSet('spr_interface_key_6', { alp: 0 });
            document.querySelector('#mini_game_key_3_denied').play();
            setTimeout(() => {
              ObjSet('spr_interface_key_6', { alp: 1, input: 1 });
              ObjSet('mini_game_key_3_denied', {
                alp: 0,
              });
            }, 2000);
          }
          document.querySelector('#spr_interface_key_6').style.top = '215px';
          document.querySelector('#spr_interface_key_6').style.left = '792px';
        }
      });
    document
      .getElementById('spr_interface_key_2')
      .addEventListener('touchend', (e) => {
        const collision = testCollision(
          document.querySelector('#spr_interface_key_2'),
          document.querySelector('#spr_interface_lock_2')
        );
        if (collision && counterGame === 2) {
          counterGame = 3;
          ObjSet('spr_interface_key_2', { alp: 0 });
          PlaySound('sounds/sfx_unlock.mp3', 0);
          ObjSet('mini_game_key_2_ok', {
            alp: 1,
          });
          document.querySelector('#mini_game_key_2_ok').play();
          setTimeout(() => {
            ObjSet('mini_game_key_2_ok', {
              alp: 0,
            });
            ObjSet('spr_interface_key_2', { alp: 1, input: 1 });
            document.querySelector('#spr_interface_key_2').style.top = '66px';
            document.querySelector('#spr_interface_key_2').style.left = '758px';
          }, 2000);
        } else {
          if (counterGame === 1) {
            PlaySound('sounds/sfx_unlock_failed.mp3', 0);
            ObjSet('mini_game_key_1_denied', {
              alp: 1,
            });
            ObjSet('spr_interface_key_2', { alp: 0 });
            document.querySelector('#mini_game_key_1_denied').play();
            setTimeout(() => {
              ObjSet('spr_interface_key_2', { alp: 1, input: 1 });
              ObjSet('mini_game_key_1_denied', {
                alp: 0,
              });
            }, 2000);
          } else if (counterGame === 3) {
            PlaySound('sounds/sfx_unlock_failed.mp3', 0);
            ObjSet('mini_game_key_3_denied', {
              alp: 1,
            });
            ObjSet('spr_interface_key_2', { alp: 0 });
            document.querySelector('#mini_game_key_3_denied').play();
            setTimeout(() => {
              ObjSet('spr_interface_key_2', { alp: 1, input: 1 });
              ObjSet('mini_game_key_3_denied', {
                alp: 0,
              });
            }, 2000);
          }
          document.querySelector('#spr_interface_key_2').style.top = '66px';
          document.querySelector('#spr_interface_key_2').style.left = '758px';
        }
      });
    document
      .getElementById('spr_interface_key_8')
      .addEventListener('touchend', (e) => {
        const collision = testCollision(
          document.querySelector('#spr_interface_key_8'),
          document.querySelector('#spr_interface_lock_3')
        );
        if (collision && counterGame === 3) {
          ObjSet('spr_interface_key_8', { alp: 0 });
          PlaySound('sounds/sfx_unlock.mp3', 0);
          ObjSet('mini_game_key_3_ok', {
            alp: 1,
          });
          document.querySelector('#mini_game_key_3_ok').play();
          setTimeout(() => {
            ObjSet('mini_game_key_3_ok', {
              alp: 0,
            });
            ObjSet('mini_game_chest_open', {
              alp: 1,
            });
            document.querySelector('#mini_game_chest_open').play();
            setTimeout(() => {
              ObjSet('mini_game_chest_open', {
                alp: 0,
              });
              renderGameScene();
            }, 2000);
          }, 2000);
        } else {
          if (counterGame === 1) {
            PlaySound('sounds/sfx_unlock_failed.mp3', 0);
            ObjSet('mini_game_key_1_denied', {
              alp: 1,
            });
            ObjSet('spr_interface_key_8', { alp: 0 });
            document.querySelector('#mini_game_key_1_denied').play();
            setTimeout(() => {
              ObjSet('spr_interface_key_8', { alp: 1, input: 1 });
              ObjSet('mini_game_key_1_denied', {
                alp: 0,
              });
            }, 2000);
          } else if (counterGame === 2) {
            PlaySound('sounds/sfx_unlock_failed.mp3', 0);
            ObjSet('mini_game_key_2_denied', {
              alp: 1,
            });
            ObjSet('spr_interface_key_8', { alp: 0 });
            document.querySelector('#mini_game_key_2_denied').play();
            setTimeout(() => {
              ObjSet('spr_interface_key_8', { alp: 1, input: 1 });
              ObjSet('mini_game_key_2_denied', {
                alp: 0,
              });
            }, 2000);
          }
          document.querySelector('#spr_interface_key_8').style.top = '366px';
          document.querySelector('#spr_interface_key_8').style.left = '755px';
        }
      });
    for (let i = 1; i <= 8; i++) {
      if (i === 2) continue;
      if (i === 6) continue;
      if (i === 8) continue;
      document
        .getElementById('spr_interface_key_' + i)
        .addEventListener('touchend', (e) => {
          if (counterGame === 1) {
            PlaySound('sounds/sfx_unlock_failed.mp3', 0);
            ObjSet('mini_game_key_1_denied', {
              alp: 1,
            });
            ObjSet('spr_interface_key_' + i, { alp: 0 });
            document.querySelector('#mini_game_key_1_denied').play();
            setTimeout(() => {
              ObjSet('spr_interface_key_' + i, { alp: 1, input: 1 });
              ObjSet('mini_game_key_1_denied', {
                alp: 0,
              });
            }, 2000);
          } else if (counterGame === 2) {
            PlaySound('sounds/sfx_unlock_failed.mp3', 0);
            ObjSet('mini_game_key_2_denied', {
              alp: 1,
            });
            ObjSet('spr_interface_key_' + i, { alp: 0 });
            document.querySelector('#mini_game_key_2_denied').play();
            setTimeout(() => {
              ObjSet('spr_interface_key_' + i, { alp: 1, input: 1 });
              ObjSet('mini_game_key_2_denied', {
                alp: 0,
              });
            }, 2000);
          } else if (counterGame === 3) {
            PlaySound('sounds/sfx_unlock_failed.mp3', 0);
            ObjSet('mini_game_key_3_denied', {
              alp: 1,
            });
            ObjSet('spr_interface_key_' + i, { alp: 0 });
            document.querySelector('#mini_game_key_3_denied').play();
            setTimeout(() => {
              ObjSet('spr_interface_key_' + i, { alp: 1, input: 1 });
              ObjSet('mini_game_key_3_denied', {
                alp: 0,
              });
            }, 2000);
          }
          if (i === 1) {
            document.querySelector('#spr_interface_key_1').style.top = '66px';
            document.querySelector('#spr_interface_key_1').style.left = '694px';
          } else if (i === 3) {
            document.querySelector('#spr_interface_key_3').style.top = '66px';
            document.querySelector('#spr_interface_key_3').style.left = '825px';
          } else if (i === 4) {
            document.querySelector('#spr_interface_key_4').style.top = '215px';
            document.querySelector('#spr_interface_key_4').style.left = '660px';
          } else if (i === 5) {
            document.querySelector('#spr_interface_key_5').style.top = '215px';
            document.querySelector('#spr_interface_key_5').style.left = '726px';
          } else if (i === 7) {
            document.querySelector('#spr_interface_key_7').style.top = '215px';
            document.querySelector('#spr_interface_key_7').style.left = '855px';
          }
        });
    }

    document.onmousemove = onMouseMove;
    document.onmouseup = onMouseUp;
    document.onmousedown = onMouseDown;
    this.onDragEnd = function (dragObject, dropElem) {};
    this.onDragCancel = function (dragObject) {};
  })();
  function getCoords(elem) {
    let box = elem.getBoundingClientRect();
    return {
      top: box.top + pageYOffset,
      left: box.left + pageXOffset,
    };
  }
  DragManager.onDragCancel = function (dragObject) {
    dragObject.avatar.rollback();
  };
  DragManager.onDragEnd = function (dragObject, dropElem) {
    if (counterGame === 2) {
      PlaySound('sounds/sfx_unlock.mp3', 0);

      ObjSet('mini_game_key_1_ok', {
        alp: 1,
      });
      document.querySelector('#mini_game_key_1_ok').play();
      setTimeout(() => {
        ObjSet('spr_interface_key_6', { alp: 1, input: 1 });
        document.querySelector('#spr_interface_key_6').rollback();
        ObjSet('mini_game_key_1_ok', {
          alp: 0,
        });
      }, 2000);
    } else if (counterGame === 3) {
      PlaySound('sounds/sfx_unlock.mp3', 0);
      ObjSet('mini_game_key_2_ok', {
        alp: 1,
      });
      document.querySelector('#mini_game_key_2_ok').play();
      setTimeout(() => {
        ObjSet('spr_interface_key_2', { alp: 1, input: 1 });
        document.querySelector('#spr_interface_key_2').rollback();

        ObjSet('mini_game_key_2_ok', {
          alp: 0,
        });
      }, 2000);
    } else if (counterGame === 4) {
      PlaySound('sounds/sfx_unlock.mp3', 0);
      ObjSet('mini_game_key_3_ok', {
        alp: 1,
      });
      document.querySelector('#mini_game_key_3_ok').play();
      setTimeout(() => {
        PlaySound('sounds/sfx_chest.mp3', 0);
        ObjSet('mini_game_key_3_ok', {
          alp: 0,
        });
        ObjSet('mini_game_chest_open', {
          alp: 1,
        });
        document.querySelector('#mini_game_chest_open').play();
        setTimeout(() => {
          ObjSet('mini_game_chest_open', {
            alp: 0,
          });
          renderGameScene();
        }, 2000);
      }, 2000);
    } else if (counterGame === 21) {
      PlaySound('sounds/sfx_unlock_failed.mp3', 0);
      ObjSet('mini_game_key_1_denied', {
        alp: 1,
      });
      document.querySelector('#mini_game_key_1_denied').play();
      setTimeout(() => {
        ObjSet('spr_interface_key_' + curKey, { alp: 1, input: 1 });
        document.querySelector('#spr_interface_key_' + curKey).rollback();
        ObjSet('mini_game_key_1_denied', {
          alp: 0,
        });
        counterGame = 1;
      }, 2000);
    } else if (counterGame === 22) {
      PlaySound('sounds/sfx_unlock_failed.mp3', 0);
      ObjSet('mini_game_key_2_denied', {
        alp: 1,
      });
      document.querySelector('#mini_game_key_2_denied').play();
      setTimeout(() => {
        ObjSet('spr_interface_key_' + curKey, { alp: 1, input: 1 });
        document.querySelector('#spr_interface_key_' + curKey).rollback();

        ObjSet('mini_game_key_2_denied', {
          alp: 0,
        });
        counterGame = 2;
      }, 2000);
    } else if (counterGame === 23) {
      PlaySound('sounds/sfx_unlock_failed.mp3', 0);

      ObjSet('mini_game_key_3_denied', {
        alp: 1,
      });
      document.querySelector('#mini_game_key_3_denied').play();
      setTimeout(() => {
        ObjSet('spr_interface_key_' + curKey, { alp: 1, input: 1 });
        document.querySelector('#spr_interface_key_' + curKey).rollback();

        ObjSet('mini_game_key_3_denied', {
          alp: 0,
        });
        counterGame = 3;
      }, 2000);
    }
  };
}

var gameLine = {
  1: {
    video: 'menu_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_chest.mp3', 0);
    },
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [],
  },
  2: {
    video: 'menu_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
          ObjSet('spr_interface_play2', { alp: 0, input: 0 });
        },
      },
    ],
  },
  3: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_ringing.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_ringing.mp3', 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '61',
        x: 680,
        y: 140,
        next: false,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_phone', {
            alp: 1,
            input: 1,
            event_mup: function () {
              ObjSet('spr_interface_phone', {
                alp: 0,
                input: 0,
              });
              renderGameScene();
            },
          });
        },
      },
    ],
    origin: 'man_1\t61\t',
  },
  4: {
    video: 'man_1_phone_talk',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '1',
        x: 100,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '2',
        x: 680,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '3',
        x: 100,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '4',
        x: 680,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '5',
        x: 100,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '6',
        x: 680,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '7',
        x: 100,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1_phone_talk\t1-7\tplay',
  },
  5: {
    video: 'man_2_girl_1_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '8',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '9',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '10',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '11',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '12',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '13',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '14',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '15',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '16',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '17',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '18',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '19',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '20',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  6: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '21',
        x: 680,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '22',
        x: 680,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2_girl_1_1\t8-20\tplay',
  },
  7: {
    video: 'sms_1',
    loop: true,
    next: false,
    smoothStart: true,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '23',
        x: 710,
        y: 400,
        next: false,
        open: function () {
          PlaySound('sounds/sfx_email.mp3', 0);
        },
        click: function () {
          ObjSet('spr_interface_sms', {
            alp: 1,
            input: 1,
            event_mup: function () {
              ObjSet('spr_interface_sms', {
                alp: 0,
                input: 0,
              });

              renderGameScene();
            },
          });
        },
      },
    ],
    origin: '\t\t',
  },
  8: {
    video: 'sms_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '24',
        x: 710,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1\t21,22\t',
  },
  9: {
    video: 'man_3_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '25',
        x: 550,
        y: 30,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  10: {
    video: 'man_3_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '26',
        x: 550,
        y: 30,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'sms_1\t23\t',
  },
  11: {
    video: 'chest_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '27',
        x: 710,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  12: {
    video: 'mini_game',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      openMiniGame();
    },
    click: function () {},
    close: function () {
      startMiniGame();
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '28',
        x: 710,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'sms_2\t24\tplay',
  },
  13: {
    video: 'mini_game',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      DragStick();
    },
    click: function () {},
    close: function () {
      for (let i = 1; i <= 8; i++) {
        ObjSet('spr_interface_key_' + i, { input: 0, alp: 0 });
      }
      ObjSet('spr_interface_nails', { alp: 0, input: 0 });
      for (let i = 1; i <= 3; i++) {
        ObjSet('spr_interface_lock_' + i, { input: 0, alp: 0 });
      }
    },
    delete: false,
    onended: function () {},
    actions: [],
    origin: '\t\t',
  },
  14: {
    video: 'chest_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '62',
        x: 710,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'mini_game\t\t',
  },
  15: {
    video: 'man_4',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/sfx_watch.mp3', 0);
      setTimeout(() => {
        PlaySound('sounds/env_ticking.mp3', 1);
      }, 1000);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_ticking.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '29',
        x: 710,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '30',
        x: 710,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'mini_game_key_1_ok\t\t',
  },
  16: {
    video: 'man_2_girl_1_7',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '63',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'mini_game_key_1_denied\t\t',
  },
  17: {
    video: 'man_2_girl_1_5',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '31',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '32',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'mini_game_key_2_ok\t\t',
  },
  18: {
    video: 'man_2_girl_1_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '33',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'mini_game_key_2_denied\t\t',
  },
  19: {
    video: 'man_2_girl_1_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '34',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'mini_game_key_3_ok\t\t',
  },
  20: {
    video: 'man_2_girl_1_4',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/env_hypno.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_hypno.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '35',
        x: 110,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'mini_game_key_3_denied\t\t',
  },
  21: {
    video: 'man_2_girl_1_6',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '36',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '37',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'mini_game_chest_open\t\t',
  },
  22: {
    video: 'sex_1_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 3;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  23: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  24: {
    video: 'man_2_girl_1_7',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '64',
        x: 600,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  25: {
    video: 'man_5_girl_3_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/env_urine.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_urine.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '38',
        x: 700,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_4\t29,30\tplay',
  },
  26: {
    video: 'man_5_girl_3_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '39',
        x: 30,
        y: 280,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '40',
        x: 30,
        y: 280,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '41',
        x: 700,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  27: {
    video: 'man_5_girl_3_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/env_hypno.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_hypno.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '42',
        x: 700,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2_girl_1_7\t63\tplay',
  },
  28: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 2;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  29: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  30: {
    video: 'man_6_girl_4_girl_5',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '43',
        x: 320,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '44',
        x: 20,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '45',
        x: 320,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '46',
        x: 20,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '47',
        x: 320,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '48',
        x: 20,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '49',
        x: 710,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '50',
        x: 320,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2_girl_1_3\t33\t',
  },
  31: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  32: {
    video: 'man_7_girl_6_girl_7',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_ticking.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_ticking.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '51',
        x: 220,
        y: 220,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '52',
        x: 710,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '53',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '54',
        x: 220,
        y: 220,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '55',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '56',
        x: 710,
        y: 160,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '57',
        x: 220,
        y: 220,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '58',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '59',
        x: 220,
        y: 220,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '60',
        x: 220,
        y: 220,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2_girl_1_4\t35\t',
  },
  gallery_sex_1_stop: {
    video: 'sex_1_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 3;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_2_stop: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_3_stop: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 2;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_4_stop: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_5_stop: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
};

function getGameLine() {
  return gameLine;
}
